%define major       8
%define libname     %mklibname %{name} %{major}
%define libname_api %mklibname %{name}-api %{major}
%define devname     %mklibname %{name} -d

Name:           laszip
Version:        3.4.4
Release:        %mkrel 1
Summary:        Quickly turns bulky LAS files into compant LAZ files
License:        Apache-2.0
Group:          System/Libraries
URL:            http://www.laszip.org/
Source0:        https://github.com/LASzip/LASzip/releases/download/%{version}/%{name}-src-%{version}.tar.gz

# Restore old API for libLAS
# https://github.com/libLAS/libLAS/issues/144
Patch0:         laszip_restoreapi.patch
# Fix error: format not a string literal and no format arguments
Patch1:         laszip_fprintf.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++

%description
LASzip - a free product of rapidlasso GmbH - quickly turns bulky
LAS files into compact LAZ files without information loss.

%package -n %{libname}
Summary:        Quickly turns bulky LAS files into compant LAZ files
Group:          System/Libraries

%description -n %{libname}
LASzip - a free product of rapidlasso GmbH - quickly turns bulky
LAS files into compact LAZ files without information loss.

%package -n %{libname_api}
Summary:        API library files for %{name}
Group:          System/Libraries

%description -n %{libname_api}
LASzip - a free product of rapidlasso GmbH - quickly turns bulky
LAS files into compact LAZ files without information loss.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Requires:       %{libname_api}%{?_isa} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development headers and libraries for %{name} needed to develop
softwares that handle LAS data to read and write LASzip-compressed
data.

%prep
%autosetup -p1 -n %{name}-src-%{version}.tar.gz

%build
%cmake -DLASZIP_LIB_INSTALL_DIR=%{_libdir} \
       -DCMAKE_SKIP_RPATH=TRUE
%cmake_build

%install
%cmake_install

# Manually install header referenced in laszip.hpp
cp -a src/mydefs.hpp %{buildroot}%{_includedir}/laszip/

%files -n %{libname}
%doc AUTHORS
%license COPYING
%{_libdir}/liblaszip.so.%{major}{,.*}

%files -n %{libname_api}
%doc AUTHORS
%license COPYING
%{_libdir}/liblaszip_api.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/laszip/
%{_libdir}/liblaszip.so
%{_libdir}/liblaszip_api.so


%changelog
* Sat Nov 30 2024 daviddavid <daviddavid> 3.4.4-1.mga10
+ Revision: 2120094
- initial package laszip

